---
name: Bug report
about: Report a bug encountered while using bench
labels: bug
---

Issue: Bug report

Please make sure your issue is reproducible on the latest bench version. The currently supported branches are:
 - PyPI [latest](https://pypi.org/project/influxframework-bench/) 
 - master         (minor bug fixes)
 - v5.x           (Merged with develop on every release)
 - develop        (all updates)

**Do the checklist before filing an issue:**
 - [ ] Can you replicate the issue on the supported bench versions?
 - [ ] Is this something you can debug and fix? Send a pull request! Bug fixes and documentation fixes are welcome

**Describe the bug** :chart_with_downwards_trend:
A clear and concise description of what the bug is.

**To Reproduce** :page_with_curl:
Steps to reproduce the behavior:
1. Go to '...'
2. Click on '....'
3. Scroll down to '....'
4. See error

**Expected behavior** :chart_with_upwards_trend:
A clear and concise description of what you expected to happen.

**Screenshots** :crystal_ball:
If applicable, add screenshots to help explain your problem.

**OS (please complete the following information):** :cyclone:
- [ ] Linux: `distro:version`
- [ ] macOS: `version`
- [ ] Windows `version`
- [ ] Others? `haros:distro:version`

**Version Information**

Can be found out by running `bench version` in your respective bench folder.
- Bench Branch:
- InfluxFramework Version:
- InfluxERP Version:

**Additional context** :page_facing_up:
Add any other context about the problem here.

**Possible Solution** :bookmark_tabs:
Any idea what might be causing the issue. Or if you have a proposed solution to the problem.
